package com.example.android_25_1_ex1;

import java.io.*;

import android.content.*;
import android.os.*;
import android.support.v7.app.*;
import android.util.*;
import android.view.*;
import android.widget.*;

public class MainActivity extends ActionBarActivity {

	final static String TAG = "MainActivity";

	Button btnOut, btnIn, btnDelete;
	EditText etOut;
	TextView tvIn;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);

		btnOut = (Button) findViewById(R.id.bt_out);
		btnIn = (Button) findViewById(R.id.bt_in);
		btnDelete = (Button) findViewById(R.id.bt_delete);
		etOut = (EditText) findViewById(R.id.et_out);
		tvIn = (TextView) findViewById(R.id.tv_in);

		btnOut.setOnClickListener(listener);
		btnIn.setOnClickListener(listener);
		btnDelete.setOnClickListener(listener);

	}

	View.OnClickListener listener = new View.OnClickListener() {

		@Override
		public void onClick(View v) {
			switch (v.getId()) {
			case R.id.bt_out:
				Log.i(TAG, "out");
				FileOutputStream fos = null;
				try {
					fos = openFileOutput("ex.txt", Context.MODE_PRIVATE);
					String out = etOut.getText().toString();
					fos.write(out.getBytes());
					Toast.makeText(MainActivity.this, "write end",
							Toast.LENGTH_SHORT).show();
				} catch (Exception e) {
					e.printStackTrace();
				} finally {
					try {
						if (fos != null)
							fos.close();
					} catch (Exception e) {
						e.printStackTrace();
					}
				}
				break;

			case R.id.bt_in:
				Log.i(TAG, "in");
				FileInputStream fis = null;
				try {
					fis = openFileInput("ex.txt");
					byte[] data = new byte[fis.available()];
					while (fis.read(data) != -1) {
					}
					tvIn.setText(new String(data));
					Toast.makeText(MainActivity.this, "read end",
							Toast.LENGTH_SHORT).show();
				} catch (Exception e) {
					e.printStackTrace();
				} finally {
					try {
						if (fis != null)
							fis.close();
					} catch (Exception e) {
						e.printStackTrace();
					}
				}
				break;
			case R.id.bt_delete:
				Log.i(TAG, "delete");
				boolean b = deleteFile("ex.txt");
				if(b) {
					Toast.makeText(MainActivity.this, "delete OK!", Toast.LENGTH_SHORT).show();
				} else {
					Toast.makeText(MainActivity.this, "delete NG!", Toast.LENGTH_SHORT).show();
				}
				break;
			}
		}
	};

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		// Handle action bar item clicks here. The action bar will
		// automatically handle clicks on the Home/Up button, so long
		// as you specify a parent activity in AndroidManifest.xml.
		int id = item.getItemId();
		if (id == R.id.action_settings) {
			return true;
		}
		return super.onOptionsItemSelected(item);
	}
}
